Office 365 Hybrid Configuration Wizard no longer runs with unsupported versions of Exchange

It has always been the case that the only supported patch level for Exchange on-premises – whether Exchange 2010, 2013, 2016 or soon 2019 – is n-1. Meaning that although your Exchange organisation doesn’t need to be bang up-to-date to be supported in a hybrid relationship with Exchange Online, you have to remain effectively within … More Office 365 Hybrid Configuration Wizard no longer runs with unsupported versions of Exchange